ClipPlane File Reference
`#include <osg/Vec4d>`
`#include <osg/Plane>`
`#include <osg/StateAttribute>`

Go to the source code of this file.

## Classes

class | osg::ClipPlane

## Namespaces

namespace | osg

## Macros

#define | OSG_CLIPPLANE 1
#define | GL_CLIP_PLANE0 0x3000
#define | GL_CLIP_PLANE1 0x3001
#define | GL_CLIP_PLANE2 0x3002
#define | GL_CLIP_PLANE3 0x3003
#define | GL_CLIP_PLANE4 0x3004
#define | GL_CLIP_PLANE5 0x3005

## Macro Definition Documentation

## GL_CLIP_PLANE0

#define GL_CLIP_PLANE0 0x3000

Referenced by osg::ClipPlane::getModeUsage().

## GL_CLIP_PLANE1

#define GL_CLIP_PLANE1 0x3001

## GL_CLIP_PLANE2

#define GL_CLIP_PLANE2 0x3002

## GL_CLIP_PLANE3

#define GL_CLIP_PLANE3 0x3003

## GL_CLIP_PLANE4

#define GL_CLIP_PLANE4 0x3004

## GL_CLIP_PLANE5

#define GL_CLIP_PLANE5 0x3005

## OSG_CLIPPLANE

#define OSG_CLIPPLANE 1